unity-scopes-api (1.0.7+16.10.20160921-0ubuntu2) yakkety; urgency=medium
 
  * No-change rebuild against new zmqpp.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Sep 2016 11:45:21 +0200

unity-scopes-api (1.0.7+16.10.20160921-0ubuntu1) yakkety; urgency=medium

  [ Marcus Tomlinson ]
  * Fixed potential login deadlock in OnlineAccountClient.
  * Increased upper timeout limits to 60s to assist scope-harness testing on slow builders.

  [ Michi Henning ]
  * Fixes for building with Florian Boucault's crossbuilder.
  * Fix for bug #1548718: Need to update micro version in shlibs file when symbols are added

  [ Pawel Stolowski ]
  * Marked the push(Filters const&, FilterState const&) method of SearchReply
    and SearchListenerBase as deprecated and provided push methods which take
    the Filters argument only.
  * Fixed Yakkety build by adding missing #includes
  * Fixed arm64 build by temporarily disabling SmartScopesClient_test

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 21 Sep 2016 03:51:31 +0000

unity-scopes-api (1.0.6+16.10.20160617-0ubuntu1) yakkety; urgency=medium

  [ Marcus Tomlinson ]
  * Got rid of category header background, as per design (Bug #1446216).
  * Re-enabled license/copyright test for xenial+.
  * Removed libjson-cpp and replaced with json-glib based implementation (Bug #1360247).
  * Fixed Yakkety build.

 -- Pawel Stolowski <pawel.stolowski@canonical.com>  Fri, 17 Jun 2016 07:27:25 +0000

unity-scopes-api (1.0.6+16.10.20160520.3-0ubuntu1) yakkety; urgency=medium

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Fri, 20 May 2016 14:55:39 +0000

unity-scopes-api (1.0.5+16.04.20160413.1-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild of latest xenial trunk against current archive.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 19 May 2016 19:19:30 +0200

unity-scopes-api (1.0.5+16.04.20160413.1-0ubuntu1) xenial; urgency=medium

  [ Marcus Tomlinson ]
  * Fix version number in changelog.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 13 Apr 2016 09:51:48 +0000

unity-scopes-api (1.0.4+16.04.20160402.4-0ubuntu1) xenial; urgency=medium

  [ Marcus Tomlinson ]
  * Simplify debian/control munging. Look for clang-format as opposed to
    clang-format-3.x. Added missing initializations to TypedScopeFixture
    (Bug #1542906). Allow clients to specify authentication parameters
    (Bug #1554040). (LP: #1554040, #1542906)

  [ Michi Henning ]
  * Fixed incorrect generation of Replaces: and Conflicts: entries in
    debian/control for xenial.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Sat, 02 Apr 2016 03:24:17 +0000

unity-scopes-api (1.0.4+16.04.20160317-0ubuntu1) xenial; urgency=medium

  [ Pawel Stolowski ]
  * New RangeInputFilter.

  [ Michi Henning ]
  * Changed ABI compliance testing to use abigail.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michael Zanetti <michael.zanetti@canonical.com>  Thu, 17 Mar 2016 22:35:17 +0000

unity-scopes-api (1.0.3+16.04.20160209-0ubuntu2) xenial; urgency=medium

  * No-change rebuild for zeromq3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 22:39:01 +0100

unity-scopes-api (1.0.3+16.04.20160209-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * Bumped micro version.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Rodney Dawes <ci-train-bot@canonical.com>  Tue, 09 Feb 2016 15:15:15 +0000

unity-scopes-api (1.0.2+16.04.20151218.2-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * Changed version number generation to use a common script. Removed
    symbols files because we are now using abi-compliance-checker.

  * Replaced global dummy loggers for testing with heap-allocated
    instances to avoid crash due to global destructor ordering (LP: #1472755).

  [ CI Train Bot ]
  * No-change rebuild.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Fri, 18 Dec 2015 11:42:03 +0000

unity-scopes-api (1.0.2+15.10.20151009-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Pawel Stolowski ]
  * Store scopes package version in /var/lib/.../version file for fast
    retrieval from the shell plugin.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Fri, 09 Oct 2015 09:12:00 +0000

unity-scopes-api (1.0.2+15.10.20150921-0ubuntu1) wily; urgency=medium

  [ Pawel Stolowski ]
  * Loop through each argument of the custom scope runner command and ensure
    that all path arguments are absolute.
  * Protect all JsonCppNode::get_node() methods with a "if (!root_) throw;"
    check (Fixes LP: #1494796).
  * Merged devel.

  [ CI Train Bot ]
  * debian/libunity-scopes.symbols.in: update to released version.
  * New rebuild forced.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Mon, 21 Sep 2015 13:32:17 +0000

unity-scopes-api (1.0.1+15.10.20150915.1-0ubuntu1) wily; urgency=medium

  [ Michi Henning ]
  * Consolidate debian packaging for Vivid and Wily, so we don't
    need to keep to separate series for the gcc 5 ABI break.

  [ CI Train Bot ]
  * debian/libunity-scopes.symbols.in: update to released version.
  * New rebuild forced.

  [ Alejandro J. Cura ]
  * Add docs for the table widget

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 15 Sep 2015 11:20:24 +0000

unity-scopes-api (1.0.1+15.10.20150826-0ubuntu1) wily; urgency=medium

  [ Pawel Stolowski ]
  * Added support for preview widget updates via ActivationResponse.

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 26 Aug 2015 08:59:51 +0000

unity-scopes-api (1.0.0-0ubuntu1) wily; urgency=medium

  * Changed package name and soname for toolchain update to gcc 5.0.

 -- Michi Henning <michi.henning@canonical.com>  Fri, 24 Jul 2015 15:12:14 +1000

unity-scopes-api (0.6.19+15.10.20150724.3-0ubuntu1) wily; urgency=medium

  [ Michi Henning ]
  * Updated standards version to 3.9.6 in debian/control. Removed
    copyonly from configure() calls because cmake 3.2.2 doesn't like it.
    Removed g++ dependency from debian/control because bzr bd emitted a
    warning.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 24 Jul 2015 12:52:52 +0000

unity-scopes-api (0.6.19+15.10.20150721-0ubuntu1) wily; urgency=medium

  [ Michi Henning ]
  * Removed gcc 4.9 dependency from debian/rules.

  [ Pawel Stolowski ]
  * Added missing #include needed for g++ 5.0.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 21 Jul 2015 05:14:09 +0000

unity-scopes-api (0.6.19+15.10.20150714-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Pawel Stolowski ]
  * Merged devel.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 14 Jul 2015 09:26:41 +0000

unity-scopes-api (0.6.19+15.10.20150708-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Pawel Stolowski ]
  * Fix handling of timeout in debug mode. Use mtime instead of inotify
    to detect settings changes. Revert delayed notification about scope
    removal.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 08 Jul 2015 14:35:44 +0000

unity-scopes-api (0.6.19+15.10.20150617.2-0ubuntu1) wily; urgency=medium

  [ Pawel Stolowski ]
  * Support UNITY_SCOPES_CONFIG_DIR environment variable.

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 17 Jun 2015 16:30:27 +0000

unity-scopes-api (0.6.18+15.10.20150609.1-0ubuntu1) wily; urgency=medium

  [ Marcus Tomlinson ]
  * Allow child_scopes() and set_child_scopes() methods more time to
    execute as they read from and write to disk.
  * Added ChildScopes.Timeout configuration parameter to Zmq.ini

  [ Pawel Stolowski ]
  * Added API for activation of in-card result actions.

  [ CI Train Bot ]
  * debian/libunity-scopes3.symbols: update to released version.
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 09 Jun 2015 12:21:21 +0000

unity-scopes-api (0.6.17+15.10.20150526-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * debian/libunity-scopes3.symbols: update to released version.

  [ Pawel Stolowski ]
  * Fix for over-zealous loop detection. A loop is now detected only if
    a query loops back with the exact same details, that is, query
    string, department, filter state, user data, and metadata must all
    be the same. Fixes: https://bugs.launchpad.net/bugs/1457698 (cherry-
    picked from devel). (LP: #1457698)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 26 May 2015 09:06:53 +0000

unity-scopes-api (0.6.17+15.04.20150423.2-0ubuntu1) vivid; urgency=medium

  [ Marcus Tomlinson ]
  * Added is_account_login_result() method to Result class.

  [ Pawel Stolowski ]
  * Fix LP: #1446499.

  [ CI Train Bot ]
  * debian/libunity-scopes3.symbols: update to released version.
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 23 Apr 2015 16:02:36 +0000

unity-scopes-api (0.6.16+15.04.20150410.3-0ubuntu1) vivid; urgency=medium

  [ Pawel Stolowski ]
  * Added support for attaching arbitrary data to CannedQuery.
  * Added _ENABLE_QT_EXPERIMENTAL_ guard to qt headers until that library
    is finalized. Further changes in the unity::scopes::qt namespace are
    expected at this point.
  * Added DateTimePickerFilter into experimental namespace.

  [ CI Train Bot ]
  * debian/libunity-scopes-qt.symbols: update to released version.
  * debian/libunity-scopes3.symbols: update to released version.
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Apr 2015 18:55:46 +0000

unity-scopes-api (0.6.15+15.04.20150407-0ubuntu1) vivid; urgency=medium

  [ Marcus Tomlinson ]
  * Renamed "child_scopes()" to "find_child_scopes()"
  * Renamed "child_scopes_ordered()" to "child_scopes()"
  * Added is_aggregated() and aggregated_keywords() to SearchMetaData

  [ CI Train Bot ]
  * debian/libunity-scopes3.symbols: update to released version.
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 07 Apr 2015 06:33:09 +0000

unity-scopes-api (0.6.14+15.04.20150223-0ubuntu1) vivid; urgency=medium

  [ Pawel Stolowski ]
  * Set CrashDB attribute to point at savilerow project for click scopes
    which has 'Canonical' as the maintainer.

  [ Michi Henning ]
  * Fixed compilation problems when compiling with boost 1.56 and 1.57.
  * Fixed a bunch of copyright headers.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 23 Feb 2015 14:48:28 +0000

unity-scopes-api (0.6.14+15.04.20150213-0ubuntu1) vivid; urgency=medium

  [ Michi Henning ]
  * Added push_surfacing_results_from_cache() to Reply proxy. This allows
    a scope to reply the results of the last succesful surfacing query
    from an on-disk cache.  This is useful to prevent the user being
    presented with an empty screen when swiping to the scope while the
    device has no network access, or the scope's data source is off-line.

    Note: This is change is ABI compatible with gcc and clang despite
          the addition a new virtual function.
  * Fixed sporadic failure in JsonAsyncReader test caused by slow DNS.
    Improved tests to report exception details if an exception other
    than the expected one is thrown.

  [ CI Train Bot ]
  * debian/libunity-scopes3.symbols: auto-update to released version

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 10:36:27 +0000

unity-scopes-api (0.6.13+15.04.20150211-0ubuntu1) vivid; urgency=medium

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

  [ Michi Henning ]
  * Fixed a bunch of warnings caused by QVariant headers. Restored
    spelling of Thomas Voß's surname. Fixed test failure in
    RuntimeConfig caused by a change in the glib .ini parser from Utopic
    to Vidid. This allows the test to pass on both Utopic and Vivid.
    Fixed a few clang warnings.
  * Reduced log history to 2 MB per scope.
  * Fixed core dump in the run time when a scope threw an exception from
    PreviewQueryBase::run().
  * Added tests for exceptions thrown from client-side callbacks.
  * Suppressed warning for arm build and updated comment regarding
    alignment.
  * Added valgrind suppression for leak in net-cpp. Added work-around
    for valgrind complaint about invalid envp being passed when calling
    execl().

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Feb 2015 08:31:34 +0000

unity-scopes-api (0.6.13+15.04.20150205.1-0ubuntu1) vivid; urgency=medium

  [ Ubuntu daily release ]
  * debian/libunity-scopes-qt.symbols: auto-update to released version
  * New rebuild forced

  [ Pawel Stolowski ]
  * Provide script for apport package hooks to handle scoperunner
    crashes. This script alters 'Package' and 'SourcePackage' fields of
    the crash report to distribute error reports to correct scopes.

  [ Xavi Garcia ]
  * Added library using Qt. The library is packed in a separated debian
    package.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 05 Feb 2015 14:57:26 +0000

unity-scopes-api (0.6.13+15.04.20150130-0ubuntu1) vivid; urgency=medium

  [ Marcus Tomlinson ]
  * Return keywords as a set rather than a vector.

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

  [ Michi Henning ]
  * Removed a bunch of noise that was logged by the registry if the
    scope installation dirs contained unexpected files or files without
    permission. Simplified FindFiles.cpp by using boost::filesystem
    instead of dirent.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Jan 2015 12:34:42 +0000

unity-scopes-api (0.6.12+15.04.20150127.2-0ubuntu1) vivid; urgency=medium

  [ Marcus Tomlinson ]
  * Introduced child_scopes() methods for aggregators to return their
    list of child scopes at runtime.
  * Added missing virtual destructor to AbstractScopeBase. (LP: #1360266)
  * Removed deprecated Runtime::run_scope() method.
  * Prevent query from looping indefinitely if a query is forwarded
    among aggregators and loops back to an earlier aggregator.

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version
  * New rebuild forced

  [ Michi Henning ]
  * Fixed memory leak in BufferedResultForwarder. Fixed a bunch of
    warnings for clang build. Minor updates to HACKING.
  * Fixed coverage build.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Jan 2015 09:38:46 +0000

unity-scopes-api (0.6.11+15.04.20150126-0ubuntu1) vivid; urgency=low

  [ Marcus Tomlinson ]
  * Embed scope ID into the OA details of a log-in item (LP: #1414560)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Jan 2015 09:01:09 +0000

unity-scopes-api (0.6.11+15.04.20150121.2-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

  [ thomas-voss ]
  * Switch from QNetwork to net-cpp (LP: #1326816, #1409995)

  [ Michał Sawicz ]
  * Depend on :native version of g++ to allow cross-compiling to work.
    Also run `wrap-and-sort -at` (LP: #1353855)

  [ Marcus Tomlinson ]
  * Switch from QNetwork to net-cpp (LP: #1326816, #1409995)

  [ Michi Henning ]
  * Added utility subdir to header tests.
  * Bunch of miscellaneous fixes:
    - Added warning for non-virtual destructors.
    - Warnings will disappear once Marcus's child_scopes branch is merged.
    - Tidied up the way compiler flags are set in CMakeLists.txt for clarity.
    - Added missing dependencies to demos, so we can't run with an out-of-date registry or scoperunner.
    - Fixed a number of warnings when building the developer doc.
    - Minor doc fixes.
    - Minor stylistic code fixes.
    - Added missing tmp_dir_initialized_ initializer to ScopeBaseImpl.
    - Removed redundant lock in QueryCtrlImpl constructor.

  [ James Henstridge ]
  * Expose the deserialize() static method on FilterBase and FilterState
    for use by the Go bindings.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Jan 2015 12:46:41 +0000

unity-scopes-api (0.6.11+15.04.20150119-0ubuntu1) vivid; urgency=medium

  [ Michi Henning ]
  * The JSON for a CategoryRenderer now supports a "fallback" field in the
    "art" and "mascot" entries of the "components" dictionary.
    This allows a scope to specify a category-specific
    fallback image in case the artwork for a result cannot be retrieved.

  * PreviewWidget now supports a "fallback" field for the "image",
    "gallery", and "header" widget types. This allows the scope
    to specify a fallback image in case the artwork for a widget
    cannot be retrieved.
  * Documented missing config settings. (LP: #1398729)

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 19 Jan 2015 08:09:11 +0000

unity-scopes-api (0.6.11-0ubuntu1) UNRELEASED; urgency=medium

  * Improved logging internals.

 -- Michi Henning <michi.henning@canonical.com>  Fri, 09 Jan 2015 19:56:38 +1000

unity-scopes-api (0.6.10+15.04.20141212-0ubuntu1) vivid; urgency=low

  [ Pawel Stolowski ]
  * Use get() on future of the http request to get exceptions reported
    when error occur (std::future::wait() doesn't throw). (LP: #1401560)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Dec 2014 11:48:25 +0000

unity-scopes-api (0.6.10+15.04.20141211-0ubuntu1) vivid; urgency=low

  [ Pawel Stolowski ]
  * Use 'partner' in UserAgent instead of partner_id for consistency
    with shell plugin

  [ Michi Henning ]
  * Replace old references to Ice with zmq.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Dec 2014 11:37:01 +0000

unity-scopes-api (0.6.10+15.04.20141210.2-0ubuntu1) vivid; urgency=medium

  [ Marcus Tomlinson ]
  * Renamed "Tags" scope .ini option to "Keywords".
  * Added support for IsAggregator scope .ini option.

  [ Pawel Stolowski ]
  * Pass partner-id via UserAgent with remote-scopes call (LP: #1389273).
  * Implemented BufferedResultForwarder API.
  * Allow multi-arch click packages for scopes (LP: #1398998).
  * Use SIGNON_POLICY_NO_USER_INTERACTION by default unless UNITY_SCOPES_OA_UI_POLICY
    is set (LP: #1380914).

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Dec 2014 12:59:48 +0000

unity-scopes-api (0.6.9+15.04.20141129-0ubuntu1) vivid; urgency=medium

  [ Pawel Stolowski ]
  * Added support for ChildScopes scope .ini option.

  [ Michi Henning ]
  * Added app_directory() method to ScopeBase.
  * Added support for Version attribute in scope.ini file, and added
    version() accessor to ScopeMetadata.
  * Added missing methods for settings_definitions(), location_data_needed(),
    and child_scope_ids() to testing::ScopeMetadataBuilder.

  [ Marcus Tomlinson ]
  * Added support for Tags scope .ini option.

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 29 Nov 2014 09:50:16 +0000

unity-scopes-api (0.6.8+15.04.20141119-0ubuntu1) vivid; urgency=medium

  [ Marcus Tomlinson ]
  * Replaced dbus-send with "list updated" pub/sub to invalidate smart scopes.

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Nov 2014 08:16:38 +0000

unity-scopes-api (0.6.7+14.10.20141014-0ubuntu1) 14.09; urgency=low

  [ Marcus Tomlinson ]
  * Merge staging ( (LP: #1380588)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 Oct 2014 12:06:24 +0000

unity-scopes-api (0.6.7+14.10.20141010.1-0ubuntu1) utopic; urgency=medium

  [ Marcus Tomlinson ]
  * OnlineAccountClient fixes: run the internal event loop within its own context to avoid
    clashing with external main loop (LP: #1377147).
  * Introduced new dependencies on dbus-test-runner and libdbustest1-dev.
  * Fix for Zmq infinite reconnection problem (LP: #1374206)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Oct 2014 19:24:20 +0000

unity-scopes-api (0.6.6+14.10.20141006-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Removed duplicates from symbols file. Symbols file now maintained
    in sorted order. Created script to maintain file in sorted order,
    so we should no longer see the stuff-ups in the symbols file.
  * Added valgrind to build deps.
  * Load-balancing message pump.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 12:03:20 +0000

unity-scopes-api (0.6.6+14.10.20140916-0ubuntu1) utopic; urgency=medium

  [ Marcus Tomlinson ]
  * Added support for online accounts (via new OnlineAccountClient class).
  * Introduced new dependencies on libaccounts-glib and libsignon-glib.

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Sep 2014 09:40:03 +0000

unity-scopes-api (0.6.5+14.10.20140910.1-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Added support for expandable widgets.
  * Enhanced ActionMetadata with hints, similar to SearchMetadata. (LP: #1308585)
  * Push smart scopes online results immediately as they become available. (LP: #1359177)

  [ Michi Henning ]
  * Various fixes for race conditions and test stability.
    - This results in *safe* internal symbol changes.
  * Updates to scope tutorial and documentation.

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Sep 2014 08:49:56 +0000

unity-scopes-api (0.6.4+14.10.20140828.1-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Execute SDK DBus callback on scope start and stop in debug mode.

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Aug 2014 14:01:50 +0000

unity-scopes-api (0.6.3+14.10.20140826-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Fix two-way invoke thread pool - fixes lp:1359582.
  * Fix ABI break caused by introduction of explicit destructor.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Aug 2014 13:44:05 +0000

unity-scopes-api (0.6.3+14.10.20140820.is.0.6.1+14.10.20140809-0ubuntu1) utopic; urgency=medium

  * Do a quick emergency revert of the last landing as it is causing a
    regression in local music search.

 -- Åukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 21 Aug 2014 10:16:44 +0200

unity-scopes-api (0.6.3+14.10.20140820-0ubuntu1) utopic; urgency=medium

  [ Pete Woods ]
  * Move scope configuration to ~/.config/unity-scopes/
  * New setting to enable/disable location data being fed to scopes.
  * Switch from u1db to QSettings and drop u1db and related dependencies.
  * There are internal symbols changes that do not break the public ABI.
    - Apologies for the symbol sorting. The previous release caused this.

  [ Marcus Tomlinson ]
  * Add scope debug mode parameter.

  [ Michi Henning ]
  * Fix several race conditions.
  * Make tests more robust.
  * Fix cache directory paths for confined scopes.

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version
  * New rebuild forced
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 20 Aug 2014 14:25:35 +0000

unity-scopes-api (0.6.1+14.10.20140809-0ubuntu1) utopic; urgency=medium

  [ Marcus Tomlinson ]
  * Clear any signal masks inherited from the parent process when forking.
  * Allow timeout value of -1 to disable the scope idle timeout, reaper timeouts, and two-way invocation timeout.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 09 Aug 2014 07:58:15 +0000

unity-scopes-api (0.6.0+14.10.20140806-0ubuntu1) utopic; urgency=low

  [ Michal Hruby ]
  * Sync with devel.

  [ Pete Woods ]
  * Sync with devel.

  [ Marcus Tomlinson ]
  * Sync with devel.

  [ thomas-voss ]
  * Sync with devel.

  [ CI bot ]
  * Sync with devel.

  [ Michi Henning ]
  * Sync with devel.

  [ Łukasz 'sil2100' Zemczak ]
  * Sync with devel.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 15:49:25 +0000

unity-scopes-api (0.6.0+14.10.20140804.1-0ubuntu1) utopic; urgency=medium

  [ Michi Henning ]
  * Added cache_directory() method and refactored scoperunner and RuntimeImpl.

  [ Marcus Tomlinson ]
  * Introduced QueryMetadata base for shared functionality of *Metadata classes.
  * Added set_internet_connectivity() and internet_connectivity() to QueryMetadata.
  * Added support for additional query reply info.
  * Upgraded finished() callback to be more flexible and expandable.

  [ Ubuntu daily release ]
  * debian/libunity-scopes3.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 04 Aug 2014 20:27:02 +0000

unity-scopes-api (0.5.3+14.10.20140728-0ubuntu1) utopic; urgency=medium

  [ Pete Woods ]
  * Add location property to SearchMetadata

  [ Ubuntu daily release ]
  * debian/libunity-scopes2.symbols: auto-update to released version

  [ Marcus Tomlinson ]
  * Fixed invoke_twoway_() to not call locate() when targeting the
    registry or the SS registry

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 28 Jul 2014 14:05:36 +0000

unity-scopes-api (0.5.2+14.10.20140723-0ubuntu1) utopic; urgency=low

  [ Pete Woods ]
  * Normalize relative paths (LP: #1340135)

  [ Marcus Tomlinson ]
  * Call locate() before every two-way request. Increased two-way
    invocation timeouts.

  [ Michi Henning ]
  * Normalize relative paths (LP: #1340135)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 23 Jul 2014 22:06:06 +0000

unity-scopes-api (0.5.2+14.10.20140722-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Force building with g++ 4.9

  [ Michi Henning ]
  * Force building with g++ 4.9

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 22 Jul 2014 09:52:30 +0000

unity-scopes-api (0.5.2+14.10.20140715-0ubuntu1) utopic; urgency=low

  [ Michal Hruby ]
  * Sync with devel.

  [ Pete Woods ]
  * Sync with devel.

  [ Marcus Tomlinson ]
  * Sync with devel.

  [ Tarmac ]
  * Sync with devel.

  [ CI bot ]
  * Sync with devel.

  [ Michi Henning ]
  * Sync with devel.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Jul 2014 18:47:01 +0000

unity-scopes-api (0.5.2+14.10.20140709.2-0ubuntu1) utopic; urgency=medium

  [ Michal Hruby ]
  * Added CannedQuery parameter to Category

  [ Michi Henning ]
  * Added support for scope settings.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Jul 2014 14:26:31 +0000

unity-scopes-api (0.5.1+14.10.20140626-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Added support for nested dictionaries in appearance attributes.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Jun 2014 11:02:11 +0000

unity-scopes-api (0.5.0+14.10.20140619-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Implemented ValueSliderFilter.
  * Changes to departments API.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Jun 2014 10:47:15 +0000

unity-scopes-api (0.4.8+14.10.20140604.1-0ubuntu1) utopic; urgency=medium

  [ Marcus Tomlinson ]
  * Introduced Dir/ScopesWatcher classes to watch for updates to the scope install directories.
  * Updated all relevant registry classes to propagate an update pub/sub message via middleware.
  * Added is_scope_running(), set_scope_state_callback() and set_update_callback() to Registry.
  * Watch parent directories of install directories in order to be
    notified when entire install directories are added / removed. (LP:
    #1326068)

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

  [ Pete Woods ]
  * Watch parent directories of install directories in order to be
    notified when entire install directories are added / removed. (LP:
    #1326068)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Jun 2014 13:03:56 +0000

unity-scopes-api (0.4.7+14.10.20140522-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version
  * New rebuild forced

  [ Pete Woods ]
  * Switch to use libapparmor instead of aa-exec

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 May 2014 09:58:34 +0000

unity-scopes-api (0.4.7+14.10.20140521-0ubuntu1) utopic; urgency=medium

  [ Pawel Stolowski ]
  * Implemented RatingFilter and RadioButtonFilter.
  * Fixed lp:1319712: Appearance attributes not supported for remote scopes.
  * Changed create() methods of OptionSelectorFilter and RangeInputFilter to return unique ptr.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 May 2014 14:01:03 +0000

unity-scopes-api (0.4.6+14.10.20140519-0ubuntu1) utopic; urgency=medium

  [ Pete Woods ]
  * Add results TTL option to configuration files.

  [ Pawel Stolowski ]
  * Added method to get and set display hints for filters.
  * Added has_subdepartments flag and alternate label to the Department class.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 19 May 2014 10:10:28 +0000

unity-scopes-api (0.4.6+14.10.20140508-0ubuntu1) UNRELEASED; urgency=medium

  [ Pawel Stolowski ]
  * Implemented RangeInputFilter.

  [ Michi Henning ]
  * Changed parameter type for pushing categories to Category::SCPtr const&

 -- Michi Henning <michi.henning@canonical.com>  Thu, 15 May 2014 13:54:38 +1000

unity-scopes-api (0.4.5+14.10.20140513-0ubuntu1) utopic; urgency=low

  [ Pawel Stolowski ]
  * Implemented RangeInputFilter.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 May 2014 18:24:18 +0000

unity-scopes-api (0.4.4+14.10.20140508-0ubuntu1) utopic; urgency=low

  [ Michi Henning ]
  * Simplified configuration files.
  * Removed SS.Registry.Endpoint from Runtime.ini.
  * Replaced SS.Registry.Identity with Smartscopes.Registry.Identity
  * Added documentation for configuration parameters (see CONFIGFILES in
    the root of the source tree)
  * Runtime::run_scope() now has an overload to accept a path to Runtime.ini.
    If no file name is passed, the system-wide Runtime.ini is used.
  * UNIX domain sockets for Zmq are now placed under $XDG_RUNTIME_DIR/zmq.
  * Install location for things under /usr/share is now unity-scopes instead
    of unity-scopes-api.

  [ Pawel Stolowski ]
  * Renamed SearchReply::register_annotation() to push().

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 May 2014 17:23:03 +0000

unity-scopes-api (0.4.3+14.10.20140502.1-0ubuntu1) utopic; urgency=low

  [ Tarmac ]
  * Sync with devel branch.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 May 2014 14:44:05 +0000

unity-scopes-api (0.4.3+14.10.20140428-0ubuntu1) utopic; urgency=low

  [ Pawel Stolowski ]
  * Implemented to_uri() and from_uri() conversions for CannedQuery.
  * Ship scopes-client in libunity-scopes-cli package.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 28 Apr 2014 17:24:08 +0000

unity-scopes-api (0.4.2+14.04.20140408-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Merge r298 from devel branch.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Apr 2014 13:41:30 +0000

unity-scopes-api (0.4.2+14.04.20140404.2-0ubuntu1) trusty; urgency=low

  [ Pawel Stolowski ]
  * Added ability for defining custom scope runner path, relative
    to scope's directories.
  * Added support for customization attributes to ScopeMetadata and scope
    config files.
  * Expose scope_directory in ScopeMetadata.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Apr 2014 17:36:39 +0000

unity-scopes-api (0.4.1+14.04.20140326.1-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 26 Mar 2014 17:57:37 +0000

unity-scopes-api (0.4.0+14.04.20140324-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Backport invalidation raciness fix.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Mar 2014 13:06:04 +0000

unity-scopes-api (0.4.0+14.04.20140319-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Backport the invalidation fix.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Mar 2014 13:06:02 +0000

unity-scopes-api (0.4.0+14.04.20140312.2-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Mar 2014 20:26:50 +0000

unity-scopes-api (0.4.0+14.04.20140312.1-0ubuntu1) trusty; urgency=medium

  [ Michi Henning ]
  * Re-factored proxy class implementation.


  [ Pawel Stolowski, Michi Henning ]
  * Renamed various classes and methods in the public API
    (see RELEASE_NOTES.txt for details).

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Mar 2014 16:58:43 +0000

unity-scopes-api (0.3.2+14.04.20140220.1-0ubuntu1) trusty; urgency=low

  [ Pawel Stolowski ]
  * Added ActivationResponse::set_hints method and marked setHints as deprecated.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Feb 2014 15:08:03 +0000

unity-scopes-api (0.3.1+14.04.20140217-0ubuntu1) trusty; urgency=low

  [ Tarmac ]
  * Fix triggering of actions on previews from remote scopes.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Feb 2014 12:40:37 +0000

unity-scopes-api (0.3.1+14.04.20140213.1-0ubuntu1) trusty; urgency=low

  [ Tarmac ]
  * Various fixes for communication with server scopes.

  [ Michal Hruby ]
  * Various fixes for communication with server scopes.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Feb 2014 18:28:44 +0000

unity-scopes-api (0.3.1+14.04.20140211.2-0ubuntu1) trusty; urgency=low

  [ Pawel Stolowski ]
  * [ Pawel Stolowski ]
  * Added preliminary API for filters and departments.
  * Changes to preview action activation API: support for widget id.
  * Changes to Annotation API.
  * Return ScopeProxy from Result::target_scope_proxy (replaces activation_scope_name).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Feb 2014 17:55:05 +0000

unity-scopes-api (0.2.10-0ubuntu1) UNRELEASED; urgency=low

  [ Michi Henning ]
  * More default servant support.

  [ Pawel Stolowski ]
  * Additions to the PreviewWidget API.
  * Changed VariantMapBuilder to VariantBuilder, with a new API.
  * Added support for ColumnLayout.
  * Added SearchMetadata class.

 -- Pawel Stolowski <pawel.stolowski@ubuntu.com>  Fri, 31 Jan 2014 14:55:10 +0100

unity-scopes-api (0.2.8+14.04.20140131.1-0ubuntu1) trusty; urgency=low

  [ Michi Henning ]
  * More default servant support.

  [ Pawel Stolowski ]
  * Additions to the PreviewWidget API.
  * Changed VariantMapBuilder to VariantBuilder, with a new API.
  * Added support for ColumnLayout.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 Jan 2014 13:42:16 +0000

unity-scopes-api (0.2.6+14.04.20140128-0ubuntu1) trusty; urgency=low

  [ Michi Henning ]
  * More default servant support.
  * Removed 3.9-specific suppression directive that breaks valgrind
    3.8.x.
  * Added formatcode script to build/tools to make it easy to format
    individual source files.
  * Added support for remote scopes by querying the smart scopes proxy
    server. Registry.ini now has two new keys, SS.Registry.Identity and
    SS.Registry.Endpoint, which is where the smart scopes proxy server
    is expected to provide its registry object. If these keys are not
    set, the registry still runs, but prints a warning to say that
    remote scopes won't be available. Still missing: we don't have a
    refresh policy yet. The remote scopes are read only once, on start-
    up. If the smart scopes registry changes, the local registry
    currently will not notice this until it is re-started.
  * Added create_query_proxy() and create_query_ctrl_proxy() for the SS
    proxy server.

  [ Pawel Stolowski ]
  * Additions to the PreviewWidget API.
  * Define Result and CategorisedResult SPtr and SCPtr.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 28 Jan 2014 15:40:37 +0000

unity-scopes-api (0.2.4+14.04.20140124-0ubuntu1) trusty; urgency=low

  [ Michi Henning ]
  * Added ability for scope to push an exception (as an exception_ptr). On the client side,
    the exception is delivered as the what() string (if the exception is a std::exception) and
    as "unknown exception", otherwise.
  * Added abstract bases for all the *Object classes.
  * Remove redundant noexcept specifications from destructors.

  [ Jussi Pakkanen ]
  * Version bump due to namespace peeling.
  * Forward doxygen warnings into a file.

  [ Michal Hruby ]
  * Added preview and activation APIs.

  [ Michi Henning ]
  * Added default servants for Scope and QueryCtrl interfaces.

  [ Pawel Stolowski ]
  * Added set_category to CategorisedResult, removed Variant-based ctor.

  [ Marcus Tomlinson ]
  * Ensure that manager_ and reply_ objects are created and destroyed
    from within the same Qt thread. (LP: #1267917)
  * Added valgrind suppressions for memory leak false positives in Qt.
    (LP: #1262496)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 151

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 24 Jan 2014 10:03:35 +0000

unity-scopes-api (0.2.4-0ubuntu2) UNRELEASED; urgency=low

  [ Michi Henning ]
  * Added ability for scope to push an exception (as an exception_ptr). On the client side,
    the exception is delivered as the what() string (if the exception is a std::exception) and
    as "unknown exception", otherwise.

  [ Jussi Pakkanen ]
  * Version bump due to namespace peeling.

  [ Michal Hruby ]
  * Added preview and activation APIs.

  [ Michi Henning ]
  * Added default servants for Scope and QueryCtrl interfaces.

 -- Pawel Stolowski <pawel.stolowski@ubuntu.com>  Fri, 24 Jan 2014 14:19:02 +0100

unity-scopes-api (0.2.0+14.04.20140120-0ubuntu1) trusty; urgency=low

  [ Michi Henning ]
  * Added ability for scope to push an exception (as an exception_ptr). On the client side,
    the exception is delivered as the what() string (if the exception is a std::exception) and
    as "unknown exception", otherwise.
  * Disabled running the tests in parallel for CI. They are not written
    to run concurrently because the different tests try to bind to the
    same network endpoints. This should almost certainly fix the failure
    reported here:
    https://launchpadlibrarian.net/159997415/buildlog_ubuntu-saucy-
    i386.unity-scopes-api_0.1.5-0~94~ubuntu13.10.1_FAILEDTOBUILD.txt.gz.
  * Got rid of chatter from helgrind. (Needs helgrind 3.9.0 or later--
    3.8.1 generates bogus errors.) Added public destroy() method so it
    is possible to shut down the reaper explicitly. Fixed race condition
    on setting the self_ weak_ptr.
  * Changed code to match macro change here:
    https://code.launchpad.net/~michihenning/unity-api/noncopyable-
    fix/+merge/200084 Also removed remaining remnants of deprecated
    NonCopyable class.
  * Added CMake option to build with -fsanitize=thread. Fixed a bunch of
    warnings when building with clang.
  * Fixed valgrind error in HttpClient_test.cpp: execv was using
    deallocated memory. Updated CTestCustom.cmake.in to correctly
    suppress the tests that should not be run under valgrind.
  * Fixed shutdown in ObjectAdapter and added proper exception handling
    if the broker thread or a worker thread encounters an exception.
  * Disabled code generation for stand-alone header compilation tests.
    This makes the tests run marginally faster.
  * Added locate() remote method to the Registry, for the scope
    activation logic.
  * Changed ScopeLoader to not run the scope in a separate thread. (This
    is done by scoperunner anyway.) This fixes the problem of an
    exception being thrown by start(), but the scoperunner not realizing
    this. (LP: #1262536)
  * Added suppressions file for thread sanitizer issues in zmq.
  * Fixed race on registry start-up: registry was answering incoming
    requests too early. Other minor cosmetic changes: replaced
    factory()->create() call with factory()->find() because RuntimeImpl
    already instantiates the middleware. Removed redundant #includes.
    (LP: #1267026)
  * Minor fix: got rid of unnecessary unique_ptr. No functional changes.
  * Added formatcode target to CMakeLists.txt. This runs all source and
    header files through a pretty-printer.
  * Updated code for API changes in latest Cap'n Proto. (LP: #1268538)
  * Added check to prevent two servers from binding to the same ipc
    endpoint. Added coverage test for double-bind. Removed attempts to
    deal with servant destructors that throw. It turns out that this
    doesn't work because the destructor is called in the context of the
    map destructor, which calls the shared_ptr destructors, so we end up
    in terminate(). I might theoretically be possible to do this with a
    custom deleter for the map and the shared_ptrs inside the map, but
    the trouble isn't worth it. Destructors should never throw, that's
    just how it is, and attempts to patch around that are a lost labor
    of love. (LP: #1257676)
  * Fix to stop SignalThread from spinning if waitpid() is called at a
    point where there are no child processes. (LP: #1268524)
  * Fixes a bunch of include guards that used the wrong symbol name.
  * Added ping() method to all proxies.

  [ Jussi Pakkanen ]
  * Version bump due to namespace peeling.
  * Use EXPECT_FALSE.
  * Use built-in CMake machinery for libdir rather than building paths
    yourself.
  * Remove extra namespace layers.
  * Fix -Werror.
  * Fix header include path.
  * Make it possible to not run headertests, which are slow.
  * Create empty directory where scopes can install their configuration
    files.
  * Implement Registry.
  * Some logging to RegistryObject.

  [ Michal Hruby ]
  * Added preview and activation APIs.
  * Don't fork inside tests, as it screws up with coverage reports.
  * Update tutorial to match with the current public API.

  [ Marcus Tomlinson ]
  * Fixed race conditions in HttpClientQtThread and RaiiServer. (LP:
    #1262987)
  * reply_->abort() (QCoreApplication::sendEvent) replaced by a signal-
    slot connection (QCoreApplication::postEvent), which is allowed
    across threads. (LP: #1267917)
  * Added astyle flag to suppress the creation of .orig files when
    formatting code.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 142

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 20 Jan 2014 16:05:56 +0000

unity-scopes-api (0.1.6+14.04.20131219.1-0ubuntu1) trusty; urgency=low

  [ Pawel Stolowski ]
  * Added support for [] operator to the Result class, other minor changes to Result API.
  * Remove factory_configfile() API as well as the need to define it in
    the configuration files.
  * Made title / art optional in Result / CategorisedResult. Report
    uncaught exceptions from ScopeBase::run() to stderr. (LP: #1259963)

  [ Michal Hruby ]
  * Bump version requirements.
  * Loosen the version req so it works fine with PPAs.

  [ Jussi Pakkanen ]
  * Find libraries instead of using them blindly.
  * Fix use of uninitialised variable.
  * Use lowercased build type.
  * Use the macro version of noncopyable.
  * Made compile tests work when CCache is in use.
  * Detect jsoncpp with pkg-config.

  [ Marcus Tomlinson ]
  * Removed unity/api directories in test tree. (LP: #1249896)
  * Introduced Smart Scopes client functionality.
  * Fixed timing issue in cancel_get test.
  * Mock python servers now scan for an available port on localhost then
    return that port to the associated test process.

  [ Michi Henning ]
  * Fixed typo in CMakeLists.txt error message.
  * Made changes required by new API for exceptions in unity-api:
    https://code.launchpad.net/~michihenning/unity-api/what-
    fix/+merge/198871.
  * Changed CXX flags to not abort the build in release mode when there
    is a deprecation warning.
  * Add notes on now the client- and server-side invocation and dispatch
    are implemented. (LP: #1260253)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 106

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Dec 2013 21:08:02 +0000

unity-scopes-api (0.1.4-0ubuntu2) UNRELEASED; urgency=low

  [ Michal Hruby ]
  * Bump version because of the ResultItem rename.

  [ Pawel Stolowski ]
  * Added API for annotations.
  * Added Result::metadata() getter. Create null Variant with default ctor.

 -- Pawel Stolowski <pawel.stolowski@ubuntu.com>  Mon, 09 Dec 2013 19:15:03 +0100

unity-scopes-api (0.1.3+14.04.20131211-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Bump version because of the ResultItem rename.

  [ Pawel Stolowski ]
  * Added Result::metadata() getter. Create null Variant with default ctor.
  * Introduced a base Result class which carries base result attributes
    and CategorisedResult class that carries Result + a category and
    replaces existing ResultItem class. Provide methods to store a
    Result inside a Result. Changed the internal structure of serialized
    Result to use "attrs" and "internal" dicts inside the outer dict.

  [ Michi Henning ]
  * This fixes a race condition that could cause the thread pool
    accessor on the middleware to return nullptr.

  [ James Henstridge ]
  * Add a simple API to launch a scope without going through the dlopen
    based scope runner for the benefit of language bindings.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 84

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Dec 2013 10:49:54 +0000

unity-scopes-api (0.1.1+14.04.20131204-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Prepare for PPA release
  * Added upstart job for the scope registry.

  [ Pawel Stolowski ]
  * Added CategoryRenderer class that encapsulates a json string with
    actual category template.

  [ Jussi Pakkanen ]
  * Make the option for -Werror apply to plain C too.

  [ Michi Henning ]
  * Added scope metadata to config and registry. Optional fields that
    are not set throw on an attempt to access them. This allows us to
    distinguish "not set all" from "set to default value". Simplified
    configuration. Factory.ini no longer exists. Client can now run
    without Runtime.ini, but still needs Registry.ini and Zmq.ini. (It
    looks for those in the current directory.) Will fix this next.
    Various minor clean-up in tests and doc comments.
  * Made it optional for client to specify a name, so multiple clients
    can run concurrently without stepping on each other. Removed no-
    longer-needed source file I should have removed in previous commit.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 78

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Dec 2013 17:37:08 +0000

unity-scopes-api (0.1+14.04.20131127-0ubuntu1) trusty; urgency=low

  [ Michi Henning ]
  * Initial release
  * Improved notes in INSTALL file.
  * Fixed scoperegistry to use new scoperunner and to figure out which
    scopes to run from config files. Still to do: deal with overrides
    and OEM scopes, particularly the grouping aspect. SignalThread needs
    to invoke a callback for clean shut-down on receipt of SIGINT.
  * Added reason for why a call to finished() is made (finished,
    cancelled, or error). Fixed incorrect return value from push() after
    cancellation. Lots of doc fixes and other minor tidy-up.
  * Made proxies properly polymorphic, so they derived from a common
    base and no longer redudantly store the pimpl and the MWProxy at
    each level of the hierarchy.

  [ Łukasz 'sil2100' Zemczak ]
  * Automatic snapshot from revision 52 (bootstrap)
  * Format should be 1.0, not sure why I switched it invalidly
  * Re-copyright sources to fit the LGPL-3 license. It's good to have
    all sources in one license to avoid confusion - and I guess LGPL-3
    was supposed to be the main one. Also, I guess Lzmqnse is a typo of
    License, yes?.

  [ Michal Hruby ]
  * Added requires for libunity-api to the pc file, so that linking
    works properly when using unity exceptions.

  [ Pawel Stolowski ]
  * Implemented support for categories. Added double and array support
    to the Variant class.
  * Added support for null Variant.
  * Renamed ReplyBase to ReceiverBase. Pass ResultItem by value to
    ReceiverBase::push.
  * First cut at scopes tutorial. Moved move ctor and move assignment
    operator of ResultItem from the header file to .cpp to avoid ABI
    issues in the future. Renamed 'icon' to 'art' in ResultItem.
  * Added category setter to ResultItem.

  [ Jussi Pakkanen ]
  * Merged capnp fixes.
  * Quote quotes.
  * Use unique_ptrs for holding impl objects instead of shared_ptrs
    where possible.
  * Clang usability fixes.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 71

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Nov 2013 12:03:03 +0000
